Subject: bug#40335: 27.0.90; elp-not-profilable not up to date

From: Noam Postavsky <[email-masked]>
Date: Mon, 13 Apr 2020 11:05:49 -0400

Štěpán Němec <[email-masked]> writes:

> All the others can be removed AFAICT, and none of `eq', `get', `aref' or
> `time-subtract', also called by the wrapper lambdas
> (`elp--make-wrapper'), seemed to cause issues for me.
>
> IIUC advice has no effect for calls from C functions to C functions, but
> I don't understand what makes e.g. `float-time' (which breaks) different
> from `aref' or `get' (which apparently don't) in that respect.

The obvious difference between `float-time' and `aref' or `get' is that
the latter have byte code ops (so advice doesn't work on byte-compiled
calls to them).  However, that doesn't explain why `subtract-time' is
okay while `float-time' causes problems.